import request from '@/utils/request'

// 查询阀门锁开锁关状态记录列表
export function listValve(query) {
  return request({
    url: '/process/valve/list',
    method: 'get',
    params: query
  })
}

// 查询阀门锁开锁关状态记录详细
export function getValve(id) {
  return request({
    url: '/process/valve/' + id,
    method: 'get'
  })
}

// 新增阀门锁开锁关状态记录
export function addValve(data) {
  return request({
    url: '/process/valve',
    method: 'post',
    data: data
  })
}

// 修改阀门锁开锁关状态记录
export function updateValve(data) {
  return request({
    url: '/process/valve',
    method: 'put',
    data: data
  })
}

// 删除阀门锁开锁关状态记录
export function delValve(id) {
  return request({
    url: '/process/valve/' + id,
    method: 'delete'
  })
}
